Name:    okular 
Summary: A document viewer
Version: 4.7.2
Release: 1%{?dist}

License: GPLv2
URL:     https://projects.kde.org/projects/kde/kdegraphics/okular
Source0: ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/%{name}-%{version}.tar.bz2

## upstreamable patches
# okular.desktop : Categories=-Office,+VectorGraphics (http://bugzilla.redhat.com/591089)
Patch50: kdegraphics-4.5.1-okular_dt.patch

# don't hardcode paths in OkularConfig.cmake
Patch51: kdegraphics-4.5.80-OkularConfig-dont-hardcode-paths.patch

# fix printing of landscape documents in Okular (#509645, kde#181290)
# https://git.reviewboard.kde.org/r/101513/
Patch54: kdegraphics-4.6.90-okular-landscape.patch

BuildRequires: chmlib-devel
BuildRequires: desktop-file-utils
BuildRequires: djvulibre-devel
BuildRequires: ebook-tools-devel
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: libkipi-devel >= %{version} 
BuildRequires: libspectre-devel
BuildRequires: libtiff-devel
BuildRequires: pkgconfig(poppler-qt4)
BuildRequires: pkgconfig(qca2)
BuildRequires: qimageblitz-devel

# kio_msits migrates from kdegraphics, which had Epoch: 7
%define kio_msits_epoch 7
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kio_msits = %{kio_msits_epoch}:%{version}-%{release}
Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}
# when split occurred
Conflicts: kdegraphics < 7:4.6.95-10

%description
%{summary}.

%package devel
Summary:  Development files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}.

%package  libs 
Summary:  Runtime files for %{name} 
Requires: %{name} = %{version}-%{release}
%description libs 
%{summary}.

%package -n kio_msits
Epoch: %{kio_msits_epoch} 
Summary: A kioslave for displaying WinHelp files
%description -n kio_msits
%{summary}.



%prep
%setup -q

%patch50 -p2 -b .okular_dt
%patch51 -p2 -b .OkularConfig
%patch54 -p2 -b .okular-landscape


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig


%files
%doc COPYING 
%{_kde4_bindir}/%{name}*
%{_kde4_appsdir}/%{name}/
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_datadir}/applications/kde4//%{name}Application_*.desktop
%{_kde4_datadir}/config.kcfg/*.kcfg
%{_kde4_datadir}/kde4/services/lib%{name}Generator*.desktop
%{_kde4_datadir}/kde4/services/%{name}[A-Z]*.desktop
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_docdir}/HTML/en/%{name}/
%{_kde4_libdir}/kde4/%{name}Generator*.so
%{_kde4_datadir}/kde4/services/%{name}_part.desktop
%{_kde4_datadir}/kde4/servicetypes/%{name}Generator.desktop
%{_kde4_libdir}/kde4/%{name}part.so

%files devel
%{_kde4_includedir}/okular/
%{_kde4_libdir}/libokularcore.so
%{_kde4_libdir}/cmake/Okular/

%files libs
%{_kde4_libdir}/libokularcore.so.1*

%files -n kio_msits
%{_kde4_libdir}/kde4/kio_msits.so
%{_kde4_datadir}/kde4/services/msits.protocol


%changelog
* Wed Oct 05 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-1
- 4.7.2

* Tue Sep 06 2011 Than Ngo <than@redhat.com> - 4.7.1-1
- 4.7.1

* Tue Jul 26 2011 Jaroslav Reznik <jreznik@redhat.com> 4.7.0-1
- 4.7.0

* Mon Jul 18 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-4
- %%postun: +update-desktop-database

* Mon Jul 18 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-3
- BR: pkgconfig(qca2)

* Fri Jul 15 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-2
- bump release

* Mon Jul 11 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-1
- 4.6.95
- fix URL

* Wed Jul 06 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.90-3
- fix Source URL
- Conflicts: kdegraphics < 7:4.6.90-10

* Tue Jul 05 2011 Rex Dieter <rdieter@fedoraproject.org>  4.6.90-2
- first try

